Bug 177939 - Kernel does not recognize tape devices
Kernel does not recognize tape devices
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
4
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Dave Jones
Brian Brock
udev does not create tape devices /de...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-01-16 13:04 EST by John
Modified: 2015-01-04 17:24 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-02-18 23:59:03 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description John 2006-01-16 13:04:16 EST
Description of problem:

When I first installed a fresh copy of FC4 on my machine, I could see the 
external SCSI tape drive being detected:

<Excerpt from /var/log/messages>

Jan 11 00:18:37 red4 kernel: SCSI subsystem initialized
Jan 11 00:18:37 red4 kernel: scsi0 : Adaptec AIC7XXX EISA/VLB/PCI SCSI HBA 
DRIVER, Rev 6.2.36
Jan 11 00:18:37 red4 kernel:         <Adaptec aic7896/97 Ultra2 SCSI adapter>
Jan 11 00:18:37 red4 kernel:         aic7896/97: Ultra2 Wide Channel A, SCSI 
Id=7, 32/253 SCBs
Jan 11 00:18:37 red4 kernel:
Jan 11 00:18:37 red4 kernel: input: ImExPS/2 Generic Explorer Mouse on 
isa0060/serio1
Jan 11 00:18:37 red4 kernel: scsi1 : Adaptec AIC7XXX EISA/VLB/PCI SCSI HBA 
DRIVER, Rev 6.2.36
Jan 11 00:18:37 red4 kernel:         <Adaptec aic7896/97 Ultra2 SCSI adapter>
Jan 11 00:18:37 red4 rpc.statd[2050]: Version 1.0.7 Starting
Jan 11 00:18:37 red4 kernel:         aic7896/97: Ultra2 Wide Channel B, SCSI 
Id=7, 32/253 SCBs
Jan 11 00:18:37 red4 kernel:
Jan 11 00:18:37 red4 kernel: megaraid: found 0x8086:0x1960:bus 0:slot 11:func 1
Jan 11 00:18:37 red4 kernel: scsi2:Found MegaRAID controller at 0xc8838000, 
IRQ:10
Jan 11 00:18:37 red4 kernel: megaraid: [SE85:1.01] detected 2 logical drives.
Jan 11 00:18:37 red4 kernel: megaraid: channel[0] is raid.
Jan 11 00:18:37 red4 kernel: megaraid: channel[1] is raid.
Jan 11 00:18:37 red4 kernel: scsi2 : LSI Logic MegaRAID SE85 254 commands 16 
targs 5 chans 7 luns
Jan 11 00:18:37 red4 kernel: scsi2: scanning scsi channel 0 for logical drives.
Jan 11 00:18:37 red4 kernel:   Vendor: MegaRAID  Model: LD0 RAID1  8636R  Rev: 
SE85
Jan 11 00:18:37 red4 kernel:   Type:   Direct-Access                      ANSI 
SCSI revision: 02
Jan 11 00:18:37 red4 kernel: SCSI device sda: 17686528 512-byte hdwr sectors 
(9056 MB)
Jan 11 00:18:37 red4 kernel: sda: asking for cache data failed
Jan 11 00:18:37 red4 kernel: sda: assuming drive cache: write through
Jan 11 00:18:37 red4 kernel: SCSI device sda: 17686528 512-byte hdwr sectors 
(9056 MB)
Jan 11 00:18:37 red4 kernel: sda: asking for cache data failed
Jan 11 00:18:37 red4 kernel: sda: assuming drive cache: write through
Jan 11 00:18:37 red4 kernel:  sda: sda1 sda2 sda3 sda4 < sda5 sda6 sda7 sda8 >
Jan 11 00:18:37 red4 kernel: Attached scsi disk sda at scsi2, channel 0, id 0, 
lun 0
Jan 11 00:18:37 red4 kernel:   Vendor: MegaRAID  Model: LD1 RAID5 34546R  Rev: 
SE85
Jan 11 00:18:37 red4 kernel:   Type:   Direct-Access                      ANSI 
SCSI revision: 02
Jan 11 00:18:37 red4 kernel: SCSI device sdb: 70750208 512-byte hdwr sectors 
(36224 MB)
Jan 11 00:18:38 red4 kernel: sdb: asking for cache data failed
Jan 11 00:18:38 red4 kernel: sdb: assuming drive cache: write through
Jan 11 00:18:38 red4 kernel: SCSI device sdb: 70750208 512-byte hdwr sectors 
(36224 MB)
Jan 11 00:18:38 red4 kernel: sdb: asking for cache data failed
Jan 11 00:18:38 red4 kernel: sdb: assuming drive cache: write through
Jan 11 00:18:38 red4 kernel:  sdb: sdb1
Jan 11 00:18:38 red4 kernel: Attached scsi disk sdb at scsi2, channel 0, id 1, 
lun 0
Jan 11 00:18:38 red4 kernel: scsi2: scanning scsi channel 4 [P0] for physical 
devices.
Jan 11 00:18:38 red4 kernel:   Vendor: TOSHIBA   Model: SMC3.0            
Rev:  D04
Jan 11 00:18:38 red4 kernel:   Type:   Processor                          ANSI 
SCSI revision: 02
Jan 11 00:18:38 red4 kernel: scsi2: scanning scsi channel 5 [P1] for physical 
devices.
Jan 11 00:18:38 red4 kernel:   Vendor: HP        Model: C1537A            Rev: 
L706
Jan 11 00:18:38 red4 kernel:   Type:   Sequential-Access                  ANSI 
SCSI revision: 02
Jan 11 00:18:38 red4 kernel:   Vendor: HP        Model: C1537A            Rev: 
L706
Jan 11 00:18:38 red4 kernel:   Type:   Sequential-Access                  ANSI 
SCSI revision: 02
Jan 11 00:18:38 red4 kernel:   Vendor: HP        Model: C1537A            Rev: 
L706
Jan 11 00:18:38 red4 kernel:   Type:   Sequential-Access                  ANSI 
SCSI revision: 02
Jan 11 00:18:38 red4 kernel:   Vendor: HP        Model: C1537A            Rev: 
L706
Jan 11 00:18:38 red4 kernel:   Type:   Sequential-Access                  ANSI 
SCSI revision: 02
Jan 11 00:18:38 red4 kernel:   Vendor: HP        Model: C1537A            Rev: 
L706
Jan 11 00:18:38 red4 kernel:   Type:   Sequential-Access                  ANSI 
SCSI revision: 02
Jan 11 00:18:38 red4 kernel:   Vendor: HP        Model: C1537A            Rev: 
L706
Jan 11 00:18:38 red4 kernel:   Type:   Sequential-Access                  ANSI 
SCSI revision: 02
Jan 11 00:18:38 red4 kernel:   Vendor: HP        Model: C1537A            Rev: 
L706
Jan 11 00:18:38 red4 kernel:   Type:   Sequential-Access                  ANSI 
SCSI revision: 02
Jan 11 00:18:38 red4 kernel: kjournald starting.  Commit interval 5 seconds
Jan 11 00:18:38 red4 kernel: EXT3-fs: mounted filesystem with ordered data 
mode.
Jan 11 00:18:38 red4 kernel: SELinux:  Disabled at runtime.
Jan 11 00:18:38 red4 kernel: SELinux:  Unregistering netfilter hooks
Jan 11 00:18:38 red4 kernel: cfq: depth 4 reached, tagging now on
Jan 11 00:18:38 red4 kernel: Attached scsi generic sg0 at scsi2, channel 0, id 
0, lun 0,  type 0
Jan 11 00:18:38 red4 kernel: Attached scsi generic sg1 at scsi2, channel 0, id 
1, lun 0,  type 0
Jan 11 00:18:38 red4 kernel: Attached scsi generic sg2 at scsi2, channel 4, id 
6, lun 0,  type 3
Jan 11 00:18:38 red4 kernel: Attached scsi generic sg3 at scsi2, channel 5, id 
4, lun 0,  type 1
Jan 11 00:18:38 red4 kernel: Attached scsi generic sg4 at scsi2, channel 5, id 
4, lun 1,  type 1
Jan 11 00:18:38 red4 kernel: Attached scsi generic sg5 at scsi2, channel 5, id 
4, lun 2,  type 1
Jan 11 00:18:38 red4 kernel: Attached scsi generic sg6 at scsi2, channel 5, id 
4, lun 3,  type 1
Jan 11 00:18:38 red4 kernel: Attached scsi generic sg7 at scsi2, channel 5, id 
4, lun 4,  type 1
Jan 11 00:18:38 red4 kernel: Attached scsi generic sg8 at scsi2, channel 5, id 
4, lun 5,  type 1
Jan 11 00:18:38 red4 kernel: Attached scsi generic sg9 at scsi2, channel 5, id 
4, lun 6,  type 1
Jan 11 00:18:38 red4 kernel: st: Version 20050312, fixed bufsize 32768, s/g 
segs 256
Jan 11 00:18:38 red4 kernel: Attached scsi tape st0 at scsi2, channel 5, id 4, 
lun 0
Jan 11 00:18:38 red4 kernel: st0: try direct i/o: yes (alignment 512 B), max 
page reachable by HBA 1048575
Jan 11 00:18:38 red4 kernel: Attached scsi tape st1 at scsi2, channel 5, id 4, 
lun 1
Jan 11 00:18:38 red4 kernel: st1: try direct i/o: yes (alignment 512 B), max 
page reachable by HBA 1048575
Jan 11 00:18:38 red4 kernel: Attached scsi tape st2 at scsi2, channel 5, id 4, 
lun 2
Jan 11 00:18:38 red4 kernel: st2: try direct i/o: yes (alignment 512 B), max 
page reachable by HBA 1048575
Jan 11 00:18:38 red4 kernel: Attached scsi tape st3 at scsi2, channel 5, id 4, 
lun 3
Jan 11 00:18:38 red4 kernel: st3: try direct i/o: yes (alignment 512 B), max 
page reachable by HBA 1048575
Jan 11 00:18:38 red4 kernel: Attached scsi tape st4 at scsi2, channel 5, id 4, 
lun 4
Jan 11 00:18:38 red4 kernel: st4: try direct i/o: yes (alignment 512 B), max 
page reachable by HBA 1048575
Jan 11 00:18:38 red4 kernel: Attached scsi tape st5 at scsi2, channel 5, id 4, 
lun 5
Jan 11 00:18:38 red4 kernel: st5: try direct i/o: yes (alignment 512 B), max 
page reachable by HBA 1048575
Jan 11 00:18:38 red4 kernel: Attached scsi tape st6 at scsi2, channel 5, id 4, 
lun 6
Jan 11 00:18:38 red4 kernel: st6: try direct i/o: yes (alignment 512 B), max 
page reachable by HBA 1048575
Jan 11 00:18:38 red4 kernel: st0: Block limits 1 - 16777215 bytes.
Jan 11 00:18:38 red4 kernel: st1: Block limits 1 - 16777215 bytes.
Jan 11 00:18:38 red4 kernel: st2: Block limits 1 - 16777215 bytes.
Jan 11 00:18:38 red4 kernel: st3: Block limits 1 - 16777215 bytes.
Jan 11 00:18:38 red4 kernel: st4: Block limits 1 - 16777215 bytes.
Jan 11 00:18:38 red4 kernel: st5: Block limits 1 - 16777215 bytes.
Jan 11 00:18:38 red4 kernel: st6: Block limits 1 - 16777215 bytes.
Jan 11 00:18:38 red4 kernel: Floppy drive(s): fd0 is 1.44M


However, when I now reboot the machine the appropriate /dev/*st* entries are 
no longer created to enable me to use my external tape drive.

<Excerpt from /var/log/messages>

Jan 15 18:43:39 red4 kernel: SCSI subsystem initialized
Jan 15 18:43:39 red4 kernel: scsi0 : Adaptec AIC7XXX EISA/VLB/PCI SCSI HBA 
DRIVER, Rev 7.0
Jan 15 18:43:39 red4 kernel:         <Adaptec aic7896/97 Ultra2 SCSI adapter>
Jan 15 18:43:40 red4 kernel:         aic7896/97: Ultra2 Wide Channel A, SCSI 
Id=7, 32/253 SCBs
Jan 15 18:43:40 red4 kernel:
Jan 15 18:43:40 red4 kernel: input: ImExPS/2 Generic Explorer Mouse on 
isa0060/serio1
Jan 15 18:43:40 red4 kernel: scsi1 : Adaptec AIC7XXX EISA/VLB/PCI SCSI HBA 
DRIVER, Rev 7.0
Jan 15 18:43:40 red4 kernel:         <Adaptec aic7896/97 Ultra2 SCSI adapter>
Jan 15 18:43:40 red4 kernel:         aic7896/97: Ultra2 Wide Channel B, SCSI 
Id=7, 32/253 SCBs
Jan 15 18:43:40 red4 kernel:
Jan 15 18:43:40 red4 kernel: megaraid: found 0x8086:0x1960:bus 0:slot 11:func 1
Jan 15 18:43:40 red4 kernel: scsi2:Found MegaRAID controller at 0xc8882000, 
IRQ:10
Jan 15 18:43:40 red4 kernel: megaraid: [SE85:1.01] detected 2 logical drives.
Jan 15 18:43:40 red4 kernel: megaraid: channel[0] is raid.
Jan 15 18:43:40 red4 kernel: megaraid: channel[1] is raid.
Jan 15 18:43:40 red4 kernel: scsi2 : LSI Logic MegaRAID SE85 254 commands 16 
targs 5 chans 7 luns
Jan 15 18:43:40 red4 kernel: scsi2: scanning scsi channel 0 for logical drives.
Jan 15 18:43:40 red4 kernel:   Vendor: MegaRAID  Model: LD0 RAID1  8636R  Rev: 
SE85
Jan 15 18:43:40 red4 kernel:   Type:   Direct-Access                      ANSI 
SCSI revision: 02
Jan 15 18:43:40 red4 kernel: SCSI device sda: 17686528 512-byte hdwr sectors 
(9056 MB)
Jan 15 18:43:40 red4 kernel: sda: asking for cache data failed
Jan 15 18:43:40 red4 kernel: sda: assuming drive cache: write through
Jan 15 18:43:40 red4 kernel: SCSI device sda: 17686528 512-byte hdwr sectors 
(9056 MB)
Jan 15 18:43:40 red4 kernel: sda: asking for cache data failed
Jan 15 18:43:40 red4 kernel: sda: assuming drive cache: write through
Jan 15 18:43:40 red4 kernel:  sda: sda1 sda2 sda3 sda4 < sda5 sda6 sda7 sda8 >
Jan 15 18:43:40 red4 kernel: Attached scsi disk sda at scsi2, channel 0, id 0, 
lun 0
Jan 15 18:43:40 red4 kernel:   Vendor: MegaRAID  Model: LD1 RAID5 34546R  Rev: 
SE85
Jan 15 18:43:40 red4 kernel:   Type:   Direct-Access                      ANSI 
SCSI revision: 02
Jan 15 18:43:40 red4 kernel: SCSI device sdb: 70750208 512-byte hdwr sectors 
(36224 MB)
Jan 15 18:43:40 red4 kernel: sdb: asking for cache data failed
Jan 15 18:43:40 red4 kernel: sdb: assuming drive cache: write through
Jan 15 18:43:40 red4 kernel: SCSI device sdb: 70750208 512-byte hdwr sectors 
(36224 MB)
Jan 15 18:43:40 red4 kernel: sdb: asking for cache data failed
Jan 15 18:43:40 red4 kernel: sdb: assuming drive cache: write through
Jan 15 18:43:40 red4 kernel:  sdb: sdb1
Jan 15 18:43:40 red4 kernel: Attached scsi disk sdb at scsi2, channel 0, id 1, 
lun 0
Jan 15 18:43:40 red4 kernel: scsi2: scanning scsi channel 4 [P0] for physical 
devices.
Jan 15 18:43:41 red4 kernel: scsi2: scanning scsi channel 5 [P1] for physical 
devices.
Jan 15 18:43:41 red4 kernel: kjournald starting.  Commit interval 5 seconds
Jan 15 18:43:41 red4 kernel: EXT3-fs: mounted filesystem with ordered data 
mode.
Jan 15 18:43:41 red4 kernel: SELinux:  Disabled at runtime.


The server details are :

Toshiba Magnia 3030 with PIII 600E CPU
128MB PC100 RAM
5 x on-board hot-swappable SCSI disks
External SCSI attached Tape Drive model HP C1537A

I have checked to make sure that everything is connected ok and ensured that 
the tape unit is powered on *before* booting up the server.


<lsmod output>

Module                  Size  Used by
ipv6                  249889  10
parport_pc             27909  1
lp                     12937  0
parport                35593  2 parport_pc,lp
autofs4                19653  2
rfcomm                 38745  0
l2cap                  25921  5 rfcomm
bluetooth              48069  4 rfcomm,l2cap
sunrpc                141437  1
ipt_REJECT              5953  1
ipt_state               1985  2
ip_conntrack           51953  1 ipt_state
nfnetlink               6617  1 ip_conntrack
iptable_filter          3137  1
ip_tables              20033  3 ipt_REJECT,ipt_state,iptable_filter
dm_mod                 57181  0
uhci_hcd               32465  0
i2c_piix4               9041  0
i2c_core               22081  1 i2c_piix4
snd_ymfpci             59521  0
gameport               15689  1 snd_ymfpci
snd_ac97_codec         88637  1 snd_ymfpci
snd_ac97_bus            2497  1 snd_ac97_codec
snd_seq_dummy           3781  0
snd_seq_oss            31809  0
snd_seq_midi_event      7105  1 snd_seq_oss
snd_seq                49617  5 snd_seq_dummy,snd_seq_oss,snd_seq_midi_event
snd_pcm_oss            50545  0
snd_mixer_oss          17985  1 snd_pcm_oss
snd_pcm                87493  3 snd_ymfpci,snd_ac97_codec,snd_pcm_oss
snd_opl3_lib           10561  1 snd_ymfpci
snd_timer              25029  4 snd_ymfpci,snd_seq,snd_pcm,snd_opl3_lib
snd_hwdep               9185  1 snd_opl3_lib
snd_page_alloc         10697  2 snd_ymfpci,snd_pcm
snd_mpu401_uart         7745  1 snd_ymfpci
snd_rawmidi            24801  1 snd_mpu401_uart
snd_seq_device          9037  5 
snd_seq_dummy,snd_seq_oss,snd_seq,snd_opl3_lib,snd_rawmidi
snd                    54437  13 
snd_ymfpci,snd_ac97_codec,snd_seq_oss,snd_seq,snd_pcm_oss,snd_mixer_oss,snd_pcm
,snd_opl3_lib,snd_timer,snd_hwdep,snd_mpu401_uart,snd_rawmidi,snd_seq_device
soundcore               9889  1 snd
8139cp                 21953  0
eepro100               30673  0
8139too                27329  0
e100                   36545  0
mii                     5313  4 8139cp,eepro100,8139too,e100
floppy                 61957  0
ext3                  129993  7
jbd                    57813  1 ext3
megaraid               40585  8
aic7xxx               149749  0
scsi_transport_spi     21185  1 aic7xxx
sd_mod                 18753  10
scsi_mod              135913  4 megaraid,aic7xxx,scsi_transport_spi,sd_mod


Version-Release number of selected component (if applicable):
kernel-2.6.14-1.1656_FC4 & udev-058-1.0.FC4.1

How reproducible:
Always

Steps to Reproduce:
1.Reboot FC4
2.
3.
  
Actual results:
No tape devices present

Expected results:
SCSI tape drive should have been present

Additional info:

I tried manually loading the "st" module with a "modprobe st" followed by 
lsmod:

<excerpt from lsmod output>

st                     40545  0
scsi_mod              135913  5 st,megaraid,aic7xxx,scsi_transport_spi,sd_mod

but still not able to use tape drive
Comment 1 John 2006-01-16 13:35:22 EST
Contents of /sys/bus/scsi

lrwxrwxrwx  1 root root 0 Jan 16 17:33 2:0:0:0 -
> ../../../devices/pci0000:00/0000:00:0b.1/host2/target2:0:0/2:0:0:0
lrwxrwxrwx  1 root root 0 Jan 16 17:33 2:0:1:0 -
> ../../../devices/pci0000:00/0000:00:0b.1/host2/target2:0:1/2:0:1:0
lrwxrwxrwx  1 root root 0 Jan 16 17:33 2:4:0:0 -
> ../../../devices/pci0000:00/0000:00:0b.1/host2/target2:4:0/2:4:0:0
lrwxrwxrwx  1 root root 0 Jan 16 17:33 2:4:0:1 -
> ../../../devices/pci0000:00/0000:00:0b.1/host2/target2:4:0/2:4:0:1
lrwxrwxrwx  1 root root 0 Jan 16 17:33 2:4:0:2 -
> ../../../devices/pci0000:00/0000:00:0b.1/host2/target2:4:0/2:4:0:2
lrwxrwxrwx  1 root root 0 Jan 16 17:33 2:4:0:3 -
> ../../../devices/pci0000:00/0000:00:0b.1/host2/target2:4:0/2:4:0:3
lrwxrwxrwx  1 root root 0 Jan 16 17:33 2:4:0:4 -
> ../../../devices/pci0000:00/0000:00:0b.1/host2/target2:4:0/2:4:0:4

contents of /proc/scsi/scsi

Attached devices:
Host: scsi2 Channel: 00 Id: 00 Lun: 00
  Vendor: MegaRAID Model: LD0 RAID1  8636R Rev: SE85
  Type:   Direct-Access                    ANSI SCSI revision: 02
Host: scsi2 Channel: 00 Id: 01 Lun: 00
  Vendor: MegaRAID Model: LD1 RAID5 34546R Rev: SE85
  Type:   Direct-Access                    ANSI SCSI revision: 02
Host: scsi2 Channel: 04 Id: 00 Lun: 00
  Vendor: SEAGATE  Model: ST39175LC        Rev: 0359
  Type:   Direct-Access                    ANSI SCSI revision: 02
Host: scsi2 Channel: 04 Id: 00 Lun: 01
  Vendor: SEAGATE  Model: ST39175LC        Rev: 0359
  Type:   Direct-Access                    ANSI SCSI revision: 02
Host: scsi2 Channel: 04 Id: 00 Lun: 02
  Vendor: SEAGATE  Model: ST39175LC        Rev: 0359
  Type:   Direct-Access                    ANSI SCSI revision: 02
Host: scsi2 Channel: 04 Id: 00 Lun: 03
  Vendor: SEAGATE  Model: ST39175LC        Rev: 0359
  Type:   Direct-Access                    ANSI SCSI revision: 02
Host: scsi2 Channel: 04 Id: 00 Lun: 04
  Vendor: SEAGATE  Model: ST39175LC        Rev: 0359
  Type:   Direct-Access                    ANSI SCSI revision: 02

Comment 2 Harald Hoyer 2006-01-17 06:19:04 EST
as you can see from dmesg, the kernel does not see the tape devices in the
second dmesg, so there is nothing udev can do.
Comment 3 John 2006-01-17 13:23:37 EST
Hi Kernel team,

I should clarify that the tape device is detected and the /dev entries are 
created when booting the original FC4 kernel:

kernel-2.6.11-1.1369_FC4

It is only since I upgraded with "yum update" to:

kernel-2.6.14-1.1656_FC4

that Linux fails to detect the tape device so I guess something got broken 
between these two kernel versions. I just re-tested this evening booting up 
kernel-2.6.11-1.1369_FC4 twice and both times the tape drive was detected. 

If you would like me to test other kernel versions to try an pinpoint the 
exact release where the problem first manifests itself please let me know.

Cheers

John 
Comment 4 John 2006-01-17 17:24:40 EST
Additional info, contents of /var/log/yum.log

[root@red4 log]# more yum.log
Jan 11 00:29:31 Installed: amanda.i386 2.4.5-2
Jan 11 00:29:32 Installed: xinetd.i386 2:2.3.13-6
Jan 11 00:29:32 Installed: perl-HTML-Tagset.noarch 3.04-1
Jan 11 00:29:32 Installed: perl-HTML-Parser.i386 3.45-1
Jan 11 00:29:36 Installed: gnuplot.i386 4.0.0-7
Jan 11 00:29:36 Installed: sysstat.i386 5.0.5-9.fc
Jan 11 00:29:37 Installed: amanda-server.i386 2.4.5-2
Jan 11 00:47:05 Updated: libgcc.i386 4.0.2-8.fc4
Jan 11 00:47:05 Updated: hwdata.noarch 0.158.3-1
Jan 11 00:47:08 Updated: tzdata.noarch 2005r-3.fc4
Jan 11 00:48:24 Updated: glibc-common.i386 2.3.5-10.3
Jan 11 00:48:39 Updated: glibc.i686 2.3.5-10.3
Jan 11 00:48:40 Updated: chkconfig.i386 1.3.23-0.4
Jan 11 00:48:40 Updated: zlib.i386 1.2.2.2-5.fc4
Jan 11 00:48:41 Updated: e2fsprogs.i386 1.38-0.FC4.1
Jan 11 00:48:41 Updated: info.i386 4.8-4.1
Jan 11 00:48:42 Updated: popt.i386 1.10.1-22
Jan 11 00:48:42 Updated: glib2.i386 2.6.6-1
Jan 11 00:48:43 Updated: libattr.i386 2.4.24-1.FC4.1
Jan 11 00:48:43 Updated: libacl.i386 2.2.32-1.FC4.2
Jan 11 00:48:43 Updated: audit-libs.i386 1.0.12-2.fc4
Jan 11 00:48:47 Updated: shadow-utils.i386 2:4.0.12-6.FC4
Jan 11 00:48:47 Updated: dbus.i386 0.33-3.fc4.1
Jan 11 00:48:48 Updated: libstdc++.i386 4.0.2-8.fc4
Jan 11 00:48:48 Updated: rpm-libs.i386 4.4.1-22
Jan 11 00:49:02 Updated: perl.i386 3:5.8.6-22
Jan 11 00:49:04 Updated: gawk.i386 3.1.4-5.3
Jan 11 00:49:09 Updated: dbus-glib.i386 0.33-3.fc4.1
Jan 11 00:49:11 Updated: libxml2.i386 2.6.20-1.FC4
Jan 11 00:49:12 Updated: wireless-tools.i386 1:28-0.pre10.4
Jan 11 00:49:12 Updated: pcre.i386 5.0-4.1.fc4
Jan 11 00:49:12 Updated: grep.i386 2.5.1-48.2
Jan 11 00:49:16 Updated: coreutils.i386 5.2.1-48.1
Jan 11 00:49:20 Updated: pam.i386 0.79-9.6
Jan 11 00:49:21 Updated: krb5-libs.i386 1.4.1-5
Jan 11 00:49:22 Updated: openssl.i686 0.9.7f-7.10
Jan 11 00:49:22 Updated: bind-libs.i386 24:9.3.1-14_FC4
Jan 11 00:49:26 Updated: xorg-x11-libs.i386 6.8.2-37.FC4.49.2
Jan 11 00:49:27 Updated: module-init-tools.i386 3.1-4
Jan 11 00:50:14 Installed: kernel.i686 2.6.14-1.1656_FC4
Jan 11 00:50:18 Updated: util-linux.i386 2.12p-9.13
Jan 11 00:50:24 Updated: openldap.i386 2.2.29-1.FC4
Jan 11 00:50:26 Updated: rpm.i386 4.4.1-22
Jan 11 00:50:26 Updated: rpm-python.i386 4.4.1-22
Jan 11 00:50:27 Updated: openssh.i386 4.2p1-fc4.1
Jan 11 00:50:27 Updated: xorg-x11-Mesa-libGL.i386 6.8.2-37.FC4.49.2
Jan 11 00:50:27 Updated: cups-libs.i386 1:1.1.23-15.3
Jan 11 00:50:28 Updated: libxml2-python.i386 2.6.20-1.FC4
Jan 11 00:50:28 Updated: vim-minimal.i386 1:6.3.086-0.fc4
Jan 11 00:50:28 Updated: libsepol.i386 1.5.10-1.1
Jan 11 00:50:28 Updated: policycoreutils.i386 1.27.2-1.2
Jan 11 00:50:29 Updated: bind-utils.i386 24:9.3.1-14_FC4
Jan 11 00:50:32 Updated: bind.i386 24:9.3.1-14_FC4
Jan 11 00:50:33 Updated: caching-nameserver.noarch 7.3-4.FC4
Jan 11 00:50:33 Updated: lftp.i386 3.2.1-10_FC4
Jan 11 00:50:34 Updated: procps.i386 3.2.5-6.3
Jan 11 00:50:37 Updated: logwatch.noarch 7.0-1.fc4
Jan 11 00:50:37 Updated: parted.i386 1.6.22-3.FC4
Jan 11 00:50:39 Updated: binutils.i386 2.15.94.0.2.2-2.1
Jan 11 00:50:40 Updated: file.i386 4.16-fc4.1
Jan 11 00:50:40 Updated: dhclient.i386 10:3.0.2-28.FC4
Jan 11 00:50:42 Installed: dhcdbd.i386 1.9-1.FC4
Jan 11 00:50:43 Updated: acl.i386 2.2.32-1.FC4.2
Jan 11 00:50:43 Updated: net-tools.i386 1.60-52.fc4.1
Jan 11 00:50:44 Updated: less.i386 394-1.fc4
Jan 11 00:50:51 Updated: man-pages.noarch 1.67-8
Jan 11 00:50:52 Updated: setup.noarch 2.5.44-1.1
Jan 11 00:50:54 Updated: openssh-server.i386 4.2p1-fc4.1
Jan 11 00:50:54 Updated: ntsysv.i386 1.3.23-0.4
Jan 11 00:50:55 Updated: udev.i386 058-1.0.FC4.1
Jan 11 00:50:55 Updated: openssh-clients.i386 4.2p1-fc4.1
Jan 11 00:50:55 Updated: tcpdump.i386 14:3.8.2-13.FC4
Jan 11 00:50:56 Updated: pyOpenSSL.i386 0.6-1.p24.4.1
Jan 11 00:50:56 Updated: rp-pppoe.i386 3.5-27.FC4.1
Jan 11 00:50:57 Updated: system-config-securitylevel-tui.i386 1.5.8.1-1
Jan 11 00:50:59 Updated: mgetty.i386 1.1.33-3_FC4
Jan 11 00:51:02 Updated: xorg-x11-Mesa-libGLU.i386 6.8.2-37.FC4.49.2
Jan 11 00:51:05 Updated: cups.i386 1:1.1.23-15.3
Jan 11 00:51:06 Updated: sudo.i386 1.6.8p8-2.4
Jan 11 00:51:06 Updated: nc.i386 1.82-fc4.1
Jan 11 00:51:09 Updated: NetworkManager.i386 0.5.1-1.FC4.4
Jan 11 00:51:09 Updated: termcap.noarch 1:5.4-7fc4
Jan 11 00:51:11 Updated: setarch.i386 1.8-1.FC4
Jan 11 00:51:11 Updated: lockdev.i386 1.0.1-7.1
Jan 11 00:51:13 Updated: kbd.i386 1.12-10.fc4.1
Jan 11 00:51:13 Updated: nscd.i386 2.3.5-10.3
Jan 11 00:51:14 Updated: rsh.i386 0.17-29.1
Jan 11 00:51:18 Updated: setools.i386 2.1.2-1.1
Jan 11 00:51:18 Updated: wget.i386 1.10.2-0.fc4
Jan 11 00:51:21 Updated: krb5-workstation.i386 1.4.1-5
Jan 11 00:51:22 Updated: nfs-utils.i386 1.0.7-12.FC4
Jan 11 00:51:22 Updated: kudzu.i386 1.1.116.3-1
Jan 11 00:51:23 Updated: selinux-policy-targeted.noarch 1.27.1-2.16
Jan 11 00:51:23 Updated: eject.i386 2.1.1-0.fc4.1
Jan 11 00:51:23 Updated: sysreport.noarch 1.4.1-5
Jan 11 00:51:24 Updated: cpuspeed.i386 1:1.2.1-1.23_FC4
Jan 11 00:51:24 Updated: attr.i386 2.4.24-1.FC4.1
Jan 11 00:51:24 Updated: psmisc.i386 21.5-5
Jan 11 00:51:24 Updated: vixie-cron.i386 4:4.1-36.FC4
Jan 11 00:51:29 Updated: libpcap.i386 14:0.8.3-13.FC4
Jan 11 00:51:29 Updated: cpio.i386 2.6-9.FC4
Jan 11 00:51:30 Updated: diskdumputils.i386 1.1.9-2
Jan 11 00:51:30 Updated: audit.i386 1.0.12-2.fc4
Jan 11 00:51:30 Updated: slocate.i386 2.7-22.fc4.1
Jan 11 00:51:31 Updated: tar.i386 1.15.1-11.FC4
Jan 11 00:51:32 Updated: yum.noarch 2.4.1-1.fc4
Jan 11 00:51:32 Updated: dhcpv6_client.i386 0.10-14_FC4
Jan 11 00:53:23 Installed: mt-st.i386 0.9b-1.fc4
Jan 15 13:30:21 Erased: pcmcia-cs
Jan 15 19:31:59 Installed: sg3_utils.i386 1.06-5
Comment 5 Dave Jones 2006-01-19 02:21:53 EST
can you try the 2.6.15 based kernel from the updates-testing repository please ?
Comment 6 John 2006-01-19 03:55:23 EST
Installed and booted kernel-2.6.15-1.1824_FC4. Saw many scsi errors for 
megaraid. The tape device seemed to be detected okay but then there was a dump 
on the console which ended with "unknown_boot_option 0x0/0x1b6" and 
then "continuing in nn seconds" followed by a countdown. The kernel failed to 
boot.The problem seemed to be with megaraid and the scsi disks but the 
messages flew by so quickly that it was difficult to read other than there 
seemed to be scsi errors after "Creating root device" was displayed. 

I rebooted back into kernel-2.6.11-1.1369_FC4 and everything seemed to come up 
ok (hopefully no corruption of the disks).
Comment 7 Dave Jones 2006-01-24 01:45:18 EST
the full info from that dump is needed to diagnose this problem further.
Even if you can manage to get a digital camera picture of it it'll be useful
(Booting with 'vga=791' [or vga=1 if your monitor cant do 791] will also allow
more lines of text on the screen, which will help further).
Comment 8 John 2006-01-25 04:29:09 EST
Hi Dave

I have emailed the digital camera images to your redhat email address.

Thanks

John
Comment 9 John 2006-02-02 18:56:18 EST
Hi Dave,

Did you receive the digital images that I sent to you? Do you need any further 
info? Have there been any further developments? If you would like me to test 
any other kernel version please let me know.

Cheers

John
Comment 10 Dave Jones 2006-02-03 01:10:27 EST
This is a mass-update to all currently open kernel bugs.

A new kernel update has been released (Version: 2.6.15-1.1830_FC4)
based upon a new upstream kernel release.

Please retest against this new kernel, as a large number of patches
go into each upstream release, possibly including changes that
may address this problem.

This bug has been placed in NEEDINFO_REPORTER state.
Due to the large volume of inactive bugs in bugzilla, if this bug is
still in this state in two weeks time, it will be closed.

Should this bug still be relevant after this period, the reporter
can reopen the bug at any time. Any other users on the Cc: list
of this bug can request that the bug be reopened by adding a
comment to the bug.

If this bug is a problem preventing you from installing the
release this version is filed against, please see bug 169613.

Thank you.
Comment 11 John 2006-02-04 16:12:53 EST
Donwloaded 2.6.15-1.1830_FC4 kernel and it seems to have done the trick!

Note You need to log in before you can comment on or make changes to this bug.